Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# SystemException.cpp File Reference

`#include "SystemException.h"`
`#include "Environment.h"`
`#include "ORB_Constants.h"`
`#include "CORBA_String.h"`
`#include "CDR.h"`
`#include "debug.h"`
`#include "AnyTypeCode_Adapter.h"`
`#include "ace/Malloc.h"`
`#include "ace/SString.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/streams.h"`

Include dependency graph for SystemException.cpp:

## @c errno Encoding
The `errno` encoding is located in the bottom 7 bits.
TAO_BEGIN_VERSIONED_NAMESPACE_DECL const CORBA::ULong | TAO_UNSPECIFIED_MINOR_CODE = 0x0U
const CORBA::ULong | TAO_ETIMEDOUT_MINOR_CODE = 0x1U
const CORBA::ULong | TAO_ENFILE_MINOR_CODE = 0x2U
const CORBA::ULong | TAO_EMFILE_MINOR_CODE = 0x3U
const CORBA::ULong | TAO_EPIPE_MINOR_CODE = 0x4U
const CORBA::ULong | TAO_ECONNREFUSED_MINOR_CODE = 0x5U
const CORBA::ULong | TAO_ENOENT_MINOR_CODE = 0x6U
const CORBA::ULong | TAO_EBADF_MINOR_CODE = 0x7U
const CORBA::ULong | TAO_ENOSYS_MINOR_CODE = 0x8U
const CORBA::ULong | TAO_EPERM_MINOR_CODE = 0x9U
const CORBA::ULong | TAO_EAFNOSUPPORT_MINOR_CODE = 0xAU
const CORBA::ULong | TAO_EAGAIN_MINOR_CODE = 0xBU
const CORBA::ULong | TAO_ENOMEM_MINOR_CODE = 0xCU
const CORBA::ULong | TAO_EACCES_MINOR_CODE = 0xDU
const CORBA::ULong | TAO_EFAULT_MINOR_CODE = 0xEU
const CORBA::ULong | TAO_EBUSY_MINOR_CODE = 0xFU
const CORBA::ULong | TAO_EEXIST_MINOR_CODE = 0x10U
const CORBA::ULong | TAO_EINVAL_MINOR_CODE = 0x11U
const CORBA::ULong | TAO_ECOMM_MINOR_CODE = 0x12U
const CORBA::ULong | TAO_ECONNRESET_MINOR_CODE = 0x13U
const CORBA::ULong | TAO_ENOTSUP_MINOR_CODE = 0x14U
## Defines
#define | STANDARD_EXCEPTION_LIST
#define | TAO_SYSTEM_EXCEPTION(name) (char *) "IDL:omg.org/CORBA/" #name ":1.0",
#define | TAO_SYSTEM_EXCEPTION(name) &CORBA::name::_tao_create,
#define | TAO_SYSTEM_EXCEPTION(name)
## Variables
const char * | repo_id_array []
const CORBA::ULong | array_sz
TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::excp_factory | excp_array []

## Define Documentation

#define STANDARD_EXCEPTION_LIST

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    CORBA::SystemException * \
    CORBA::name ::_tao_create (void) \
    { \
      CORBA::name *result = 0; \
      ACE_NEW_RETURN (result, CORBA::name (), 0); \
      return result; \
    }

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    CORBA::Exception * \
    CORBA::name ::_tao_duplicate (void) const \
    { \
      CORBA::Exception * result = 0; \
      ACE_NEW_RETURN (result, CORBA::name (*this), 0); \
      return result; \
    }

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    void \
    CORBA::name ::_raise (void) const \
    { \
      TAO_RAISE (*this); \
    }

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    CORBA::TypeCode_ptr \
    CORBA::name ::_tao_type (void) const \
    { \
      TAO_AnyTypeCode_Adapter *adapter = \
        ACE_Dynamic_Service<TAO_AnyTypeCode_Adapter>::instance ( \
            "AnyTypeCode_Adapter" \
          ); \
      if (adapter != 0) \
        return adapter->_tao_type_ ## name (); \
      else \
        { \
          ACE_ERROR ((LM_ERROR, \
                      ACE_TEXT ("(%P|%t) %p\n"), \
                      ACE_TEXT ("Unable to find the ") \
                      ACE_TEXT ("AnyTypeCode Adapter instance"))); \
          return 0; \
        } \
    }

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    CORBA::name ::name (void) \
      :  CORBA::SystemException ("IDL:omg.org/CORBA/" #name ":1.0", \
                                 #name, \
                                 0, \
                                 CORBA::COMPLETED_NO) \
    { \
    } \
    \
    CORBA::name ::name (CORBA::ULong code, CORBA::CompletionStatus completed) \
      : CORBA::SystemException ("IDL:omg.org/CORBA/" #name ":1.0", \
                                #name, \
                                code, \
                                completed) \
    { \
    }

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) | &CORBA::name::_tao_create,

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) | (char *) "IDL:omg.org/CORBA/" #name ":1.0",

## Variable Documentation

const CORBA::ULong array_sz`[static]`

| Initial value:
      (sizeof (repo_id_array) / sizeof (char const *)) - 1

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::excp_factory excp_array[]

| Initial value:
     {
    #define TAO_SYSTEM_EXCEPTION(name)

          STANDARD_EXCEPTION_LIST

          0
    }

const char* repo_id_array[]`[static]`

| Initial value:
     {
    #define TAO_SYSTEM_EXCEPTION(name)

          STANDARD_EXCEPTION_LIST

          0
      }

const CORBA::ULong TAO_EACCES_MINOR_CODE = 0xDU

const CORBA::ULong TAO_EAFNOSUPPORT_MINOR_CODE = 0xAU

const CORBA::ULong TAO_EAGAIN_MINOR_CODE = 0xBU

const CORBA::ULong TAO_EBADF_MINOR_CODE = 0x7U

const CORBA::ULong TAO_EBUSY_MINOR_CODE = 0xFU

const CORBA::ULong TAO_ECOMM_MINOR_CODE = 0x12U

const CORBA::ULong TAO_ECONNREFUSED_MINOR_CODE = 0x5U

const CORBA::ULong TAO_ECONNRESET_MINOR_CODE = 0x13U

const CORBA::ULong TAO_EEXIST_MINOR_CODE = 0x10U

const CORBA::ULong TAO_EFAULT_MINOR_CODE = 0xEU

const CORBA::ULong TAO_EINVAL_MINOR_CODE = 0x11U

const CORBA::ULong TAO_EMFILE_MINOR_CODE = 0x3U

const CORBA::ULong TAO_ENFILE_MINOR_CODE = 0x2U

const CORBA::ULong TAO_ENOENT_MINOR_CODE = 0x6U

const CORBA::ULong TAO_ENOMEM_MINOR_CODE = 0xCU

const CORBA::ULong TAO_ENOSYS_MINOR_CODE = 0x8U

const CORBA::ULong TAO_ENOTSUP_MINOR_CODE = 0x14U

const CORBA::ULong TAO_EPERM_MINOR_CODE = 0x9U

const CORBA::ULong TAO_EPIPE_MINOR_CODE = 0x4U

const CORBA::ULong TAO_ETIMEDOUT_MINOR_CODE = 0x1U

TAO_BEGIN_VERSIONED_NAMESPACE_DECL const CORBA::ULong TAO_UNSPECIFIED_MINOR_CODE = 0x0U